APIChangelogs
Get changelog
Fetch a changelog by id. Requires the changelogs:read scope.
GET
/changelogs/{id}curl -X GET "https://productlane.com/api/v2/changelogs/{id}" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
idstringpathrequiredlanguagestringqueryBCP-47 language code. Returns the translation merged onto the response. Requires the Pro plan and the language enabled in workspace settings.
Response
application/json
Successful response
idstringrequiredcreated_atstringrequiredupdated_atstringrequireddatestring | nullrequiredpublishedbooleanrequiredarchivedbooleanrequiredtitlestringrequiredslugstring | nullrequiredcontentstringrequiredimage_urlstring | nullrequiredportal_instance_idstring | nullrequiredportal_instance_idsstring[]requiredtagsobject[]required
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"date": "string",
"published": true,
"archived": true,
"title": "string",
"slug": "string",
"content": "string",
"image_url": "string",
"portal_instance_id": "string",
"portal_instance_ids": [
"string"
],
"tags": [
{
"id": "string",
"name": "string",
"color": "string",
"icon": "string"
}
]
}